Loading...
Searching...
No Matches
cf_iter.h File Reference

Iterators for CanonicalForm's. More...

`#include "canonicalform.h"`
`#include "cf_iter_inline.cc"`

Go to the source code of this file.

## Data Structures

class | CFIterator
| class to iterate through CanonicalForm's More...

## Macros

#define | CF_INLINE
#define | CF_NO_INLINE
#define | CF_INLINE inline

## Typedefs

typedef term * | termList

## Detailed Description

Iterators for CanonicalForm's.

Definition in file cf_iter.h.

## Macro Definition Documentation

## CF_INLINE [1/2]

#define CF_INLINE inline

Definition at line 19 of file cf_iter.h.

## CF_INLINE [2/2]

#define CF_INLINE

Definition at line 19 of file cf_iter.h.

## CF_NO_INLINE

#define CF_NO_INLINE

Definition at line 21 of file cf_iter.h.

## Typedef Documentation

## termList

typedef term* termList

Definition at line 36 of file cf_iter.h.